{
    attributes = (
        {
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            name = montantBudgetaire; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (canId); 
    className = "org.cocktail.fwkcktljefyadmin.common.metier.EOCodeAnalytiqueSuivi"; 
    classProperties = (montantBudgetaire, toCodeAnalytique); 
    externalName = "jefy_depense.v_code_Analytique_suivi"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.fwkcktljefyadmin.common.metier.EOCodeAnalytiqueSuivi"; 
    }; 
    isReadOnly = Y; 
    name = "FwkJefyAdmin_CodeAnalytiqueSuivi"; 
    primaryKeyAttributes = (canId); 
    relationships = (
        {
            destination = "FwkJefyAdmin_CodeAnalytique"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canId; }); 
            name = toCodeAnalytique; 
        }
    ); 
}
